#Frccs feladat:
#				BOR			SZDA			R
#Kisfrccs		1			1				200
#Nagyfrccs		2			1				330
#Hossz lps		1			2				210
#Hzmester		3			2				470
#Vicehzmester	2			3				400
#Krdy frccs		9			1				1500
#Sher frccs		1			9				300
#Pusks frccs	6			3				900
#Hzi r			4			1				600
#Lakfrccs		1			4				250

#Van 100 l borom, s 150 l szdm. 
#Feladat a bevtelem maximalizlsa.

#Megolds:
 
 #Sets and parameters
 set Froccs;
 set Ingridients;
 param HowMany {Froccs, Ingridients};
 param Price {Froccs};
 param Use {Ingridients};
 #variables
var Sale {Froccs} >=0, integer;

#Constraints - Korltozsok
s.t. UseIngridients{i in Ingridients} : sum{f in Froccs} HowMany[f,i] *Sale[f] <= Use[i];

#Objectives -clfggvny
maximize TotalIncome: sum {f in Froccs} Sale[f] * Price[f];

# DATA kulcssz
data;
#rtkek s paramterek
set Froccs: KF NF HL HM VHM KRF SF PF HU LF;
set Ingridients: Wine Soda;

param HowMany:
		Wine		Soda:=
KF		1			1
NF		2			1
HL		1			2
HM		3			2
VHM		2			3
KRF		9			1
SF		1			9
PF		6			3
HU		4			1
LF		1			4
;
param Price:=
KF		200
NF		330
HL		210
HM		470
VHM		400
KRF		1500
SF		300
PF		900
HU		600
LF		250
;
param Use:=
Wine 1000
Soda 1500
;
